Security fix for CVE-2017-10989: Heap-buffer overflow in the getNodeSize function

Additionally sqlite has been updated to version 3.19.3, and spatialite-tools rebuilt for the update.

How to install

sudo dnf upgrade --advisory=FEDORA-2017-357f9df699

This update has been submitted for testing by pkubat.

2 years ago

This update has been pushed to testing.

2 years ago
User Icon cserpentis commented & provided feedback 2 years ago
karma

works for me

User Icon yuwata commented & provided feedback 2 years ago
karma

works for me

User Icon bt0dotninja commented & provided feedback 2 years ago
karma

wfm No regressions noted

This update has been submitted for stable by bodhi.

2 years ago

This update has been pushed to stable.

2 years ago

Please login to add feedback.

Metadata
Type
security
Karma
3
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
3
Dates
submitted
2 years ago
in testing
2 years ago
in stable
2 years ago
BZ#1455730 sqlite-3.19.3 is available
0
0
BZ#1469672 CVE-2017-10989 sqlite: Heap-buffer overflow in the getNodeSize function
0
0
BZ#1469673 CVE-2017-10989 sqlite: Heap-buffer overflow in the getNodeSize function [fedora-all]
0
0

Automated Test Results